2

I was trying to run NGS QC Toolkit http://59.163.192.90:8080/ngsqctoolkit/ in Ubuntu 12.04 LTS 64 bit version. But, after executing the command, an error shows that states it cannot find module String::Approx and needs to be installed even though I have installed it successfully.

Here is the command which I used:

perl ~/Programs/NGSQCToolkit_v2.3/QC/IlluQC_PRLL.pl -c 2 -pe /home/shrujan/Desktop/NGS_Shrujan/SRR072111_1.fastq /home/shrujan/Desktop/NGS_Shrujan/SRR072111_2.fastq 2 
A Error:
    Can not find module 'String::Approx'
    Install it and try again

Please guide me in resolving this issue.

  • 1
    Do you have the libstring-approx-perl package installed? – dobey Apr 18 '13 at 21:30
1

Execute following commands:

shrujan@ubuntu:~$ cpan

cpan[1] install String::Approx

Then try your NGSQCTool

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.